<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: gyroscope Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('namespacegyroscope.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">gyroscope Namespace Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html">MEMS3AxisGyroscope</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ace16d4ca4eb1a1cc2e5945c467f6fb0a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegyroscope.html#ace16d4ca4eb1a1cc2e5945c467f6fb0a">test_write</a> ()</td></tr>
<tr class="separator:ace16d4ca4eb1a1cc2e5945c467f6fb0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa3b8cceffd643b712ece6020da00c790"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegyroscope.html#aa3b8cceffd643b712ece6020da00c790">r</a></td></tr>
<tr class="separator:aa3b8cceffd643b712ece6020da00c790"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40777e85b2ba50f1350f0653aec1ff5f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegyroscope.html#a40777e85b2ba50f1350f0653aec1ff5f">a</a></td></tr>
<tr class="separator:a40777e85b2ba50f1350f0653aec1ff5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24bcd547467f257aaf63df06ceab2f88"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegyroscope.html#a24bcd547467f257aaf63df06ceab2f88">t1</a> = threading.Thread(target=<a class="el" href="namespacegyroscope.html#ace16d4ca4eb1a1cc2e5945c467f6fb0a">test_write</a>, args=())</td></tr>
<tr class="separator:a24bcd547467f257aaf63df06ceab2f88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e8a5ae673197959dc90f93fc9d0b3c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegyroscope.html#a79e8a5ae673197959dc90f93fc9d0b3c">t2</a> = threading.Thread(target=a.run, args=())</td></tr>
<tr class="separator:a79e8a5ae673197959dc90f93fc9d0b3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ace16d4ca4eb1a1cc2e5945c467f6fb0a" name="ace16d4ca4eb1a1cc2e5945c467f6fb0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace16d4ca4eb1a1cc2e5945c467f6fb0a">&#9670;&nbsp;</a></span>test_write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gyroscope.test_write </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a40777e85b2ba50f1350f0653aec1ff5f" name="a40777e85b2ba50f1350f0653aec1ff5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40777e85b2ba50f1350f0653aec1ff5f">&#9670;&nbsp;</a></span>a</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.a</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span>=  MEMS3AxisGyroscope(<span class="stringliteral">&quot;Gyroscope_sensor&quot;</span>, np.array([0]), r.as_quat(),</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>                           <span class="stringliteral">&#39;gyro_degbug.db&#39;</span>, 1, <span class="keyword">False</span>, np.array([400, -400]), 0.05, 0.5, 0.3, 0.15)</div>
</div><!-- fragment -->
</div>
</div>
<a id="aa3b8cceffd643b712ece6020da00c790" name="aa3b8cceffd643b712ece6020da00c790"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3b8cceffd643b712ece6020da00c790">&#9670;&nbsp;</a></span>r</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.r</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span>=  R.from_matrix([[1, 0, 0],</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>                       [0, 1, 0],</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>                       [0, 0, 1]])</div>
</div><!-- fragment -->
</div>
</div>
<a id="a24bcd547467f257aaf63df06ceab2f88" name="a24bcd547467f257aaf63df06ceab2f88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24bcd547467f257aaf63df06ceab2f88">&#9670;&nbsp;</a></span>t1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.t1 = threading.Thread(target=<a class="el" href="namespacegyroscope.html#ace16d4ca4eb1a1cc2e5945c467f6fb0a">test_write</a>, args=())</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a79e8a5ae673197959dc90f93fc9d0b3c" name="a79e8a5ae673197959dc90f93fc9d0b3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79e8a5ae673197959dc90f93fc9d0b3c">&#9670;&nbsp;</a></span>t2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.t2 = threading.Thread(target=a.run, args=())</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegyroscope.html">gyroscope</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
